import { HttpErrorResponse } from '@angular/common/http';
import { Response } from '@angular/http';
import { ErrorObservable } from 'rxjs/observable/ErrorObservable';
export declare class Util {
    handleError(err: HttpErrorResponse): ErrorObservable;
    getUserId(): string;
    getBackendServerAddress(): string;
    getIsCommunityManager(): string;
}
/**
 * Saves a file by opening file-save-as dialog in the browser
 * using file-save library.
 * @param blobContent file content as a Blob
 * @param fileName name file should be saved as
 */
export declare const saveFile: (blobContent: Blob, fileName: string) => void;
/**
 * Derives file name from the http response
 * by looking inside content-disposition
 * @param res http Response
 */
export declare const getFileNameFromResponseContentDisposition: (res: Response) => string;
